4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.StringWriter

A specialized XSLT output writer that only captures text output events

    Copyright 2005 Fourthought, Inc. (USA).
    Detailed license and copyright information: http://4suite.org/COPYRIGHT
    Project home, documentation, distributions: http://4suite.org/

Classes: StringWriter

## Classes

class StringWriter(Ft.Xml.Xslt.NullWriter.NullWriter)

  ### Methods

  __init__(self, outputParams)
    Overrides: __init__ from class NullWriter
  attribute(self, name, value, namespace=None)
    Overrides: attribute from class NullWriter
  comment(self, body)
    Overrides: comment from class NullWriter
  endElement(self, name, namespace=None)
    Overrides: endElement from class NullWriter
  getResult(self)
    Overrides: getResult from class NullWriter
  processingInstruction(self, target, data)
    Overrides: processingInstruction from class NullWriter
  startElement(self, name, namespace=None, extraNss=None)
    Overrides: startElement from class NullWriter
  text(self, text, escapeOutput=True)
    Overrides: text from class NullWriter

  ### Methods inherited from class Ft.Xml.Xslt.NullWriter.NullWriter

  copyNodes, endDocument, getMediaType, getStream, namespace, startDocument